package auth

import (
	"gorm.io/gorm"
)

type TokenResponse struct {
	AccessToken  string `json:"access_token"`
	TokenType    string `json:"token_type"`
	ExpiresIn    uint64 `json:"expires_in"`
	RefreshToken string `json:"refresh_token"`
	Scope        string `json:"scope"`
}

type User struct {
	gorm.Model
	ID          string `json:"id" gorm:"primaryKey;autoIncrement:false"`
	Username    string `json:"username"`
	Blacklisted bool
	Email       string `json:"email"`
}

type AvatarDecorationData struct {
	Asset string
	SkuID string
}

type ExchangeCodeRequest struct {
	GrantType   string `json:"grant_type"`
	Code        string `json:"code"`
	RedirectUri string `json:"redirect_uri"`
}
